Skip to content

Read automatic prepaid managed-test-call funding configuration

GET
/v1/billing/prepaid/auto-fund
curl --request GET \
--url https://api.vocapable.com/v1/billing/prepaid/auto-fund \
--header 'Authorization: Bearer <token>'

Successful Response

Media typeapplication/json
AutoFundResponse
object
available
required
Available
boolean
funding_min_minor
required
Funding Min Minor
integer
>= 1
funding_max_minor
required
Funding Max Minor
integer
>= 1
period_cap_max_minor
required
Period Cap Max Minor
integer
>= 1
enabled
required
Enabled
boolean
status
required
Status
string
currency
required
Any of:
string
threshold_minor
required
Any of:
integer
amount_minor
required
Any of:
integer
period_cap_minor
required
Any of:
integer
period
Period
string
default: calendar_month
Allowed value: calendar_month
period_used_minor
Period Used Minor
integer
0
period_pending_minor
Period Pending Minor
integer
0
period_remaining_minor
required
Any of:
integer
setup
Any of:
AutoFundSetup
object
id
required
Id
string
status
required
Status
string
checkout_url
Any of:
string
pending
Pending
boolean
active_operation
Any of:
AutoFundActiveOperation
object
id
required
Id
string
status
required
Status
string
amount_minor
required
Amount Minor
integer
provider_requested_at
required
Any of:
string format: date-time
payment_intent_id
required
Any of:
string
failure_code
required
Any of:
string
last_failure_code
Any of:
string
applies_to
Applies To
string
default: managed_verified_number_test_calls_only
Allowed value: managed_verified_number_test_calls_only
byo_campaigns_chargeable
Byo Campaigns Chargeable
boolean
schedule
Schedule
string
default: server_threshold_polling
Allowed value: server_threshold_polling
cadence
Cadence
string
default: as_needed
Allowed values: as_needed at_most_once_per_24h at_most_once_per_7d
minimum_charge_interval_seconds
Minimum Charge Interval Seconds
integer
0
cadence_options
Cadence Options
Array<object>
AutoFundCadenceOption

One server-supported automatic-funding cadence choice.

minimum_charge_interval_seconds is an elapsed UTC duration measured from the prior submitted provider request. It is not a scheduled future charge time.

object
cadence
required
Cadence
string
Allowed values: as_needed at_most_once_per_24h at_most_once_per_7d
minimum_charge_interval_seconds
required
Minimum Charge Interval Seconds
integer
cadence_hold_until
Any of:
string format: date-time
accepted_mandate_version
Any of:
string
accepted_mandate_text
Any of:
string
mandate_version
Mandate Version
string
default: 2026-08-12-cadence-v2
mandate_text
Mandate Text
string
default: I authorize Vocapable to charge the payment method I set up for future automatic prepaid managed verified-number test-call credit when my eligible prepaid balance is at or below my selected threshold, for my selected amount, up to my selected calendar-month cap and no more often than my selected cadence measured from the prior submitted charge attempt. Vocapable does not promise a clock time or catch up a missed attempt. I can disable this at any time before a charge is submitted.
Example
{
"period": "calendar_month",
"period_used_minor": 0,
"period_pending_minor": 0,
"setup": {
"pending": false
},
"applies_to": "managed_verified_number_test_calls_only",
"byo_campaigns_chargeable": false,
"schedule": "server_threshold_polling",
"cadence": "as_needed",
"minimum_charge_interval_seconds": 0,
"cadence_options": [
{
"cadence": "as_needed"
}
],
"mandate_version": "2026-08-12-cadence-v2",
"mandate_text": "I authorize Vocapable to charge the payment method I set up for future automatic prepaid managed verified-number test-call credit when my eligible prepaid balance is at or below my selected threshold, for my selected amount, up to my selected calendar-month cap and no more often than my selected cadence measured from the prior submitted charge attempt. Vocapable does not promise a clock time or catch up a missed attempt. I can disable this at any time before a charge is submitted."
}